<?php
/**
 * The template for displaying 404 pages (not found) */

get_header(); ?>

	<div id="content" class="clearfix">

			<section class="error-404 not-found sizers">
				<img src="<?php echo get_template_directory_uri() . '/images/404.png'; ?>" />
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'whakaaro' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'whakaaro' ); ?></p>

					<?php get_search_form(); ?>
				</div><!-- .page-content -->
			</section><!-- .error-404 -->
	</div><!-- .content -->

<?php get_footer(); ?>
