<?php
/* The template for displaying Comments */
if ( post_password_required() )
	return;
?>

<div id="comment-wrap" class="comments-area">
	<div class="sizers">
	<?php if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php comments_number(esc_html__('0 Visitor Comments','whakaaro'), esc_html__('1 Visitor Comment','whakaaro'), '% '.esc_html__('Visitor Comments','whakaaro') );?>
		</h3>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'       => wp_kses( 'ul',array('h4' => array(),)),
					'short_ping'  => true,
					'avatar_size' => 74,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
		?>
		<nav class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text section-heading"><?php esc_html__( 'Comment navigation', 'whakaaro' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'whakaaro' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'whakaaro' ) ); ?></div>
		</nav><!-- .comment-navigation -->
		<?php endif; // Check for comment navigation ?>

		<?php if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="no-comments"><?php esc_html__( 'Comments are closed.' , 'whakaaro' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>
	
	<?php
		$form_args = array(
		  'title_reply'       => esc_html__( 'Post a Reply', 'whakaaro' ),
		  'cancel_reply_link' => esc_html__( 'Cancel Reply', 'whakaaro' ),
		  'label_submit'      => esc_html__( 'Submit Comment', 'whakaaro' ),
		)		
	?>
	
	<?php comment_form($form_args); ?>

</div></div><!-- #comments -->