<?php get_header(); 
$whakaaro_classes = array(esc_html__('entry', 'whakaaro'), esc_html__('post', 'whakaaro'), esc_html__('clearfix', 'whakaaro'));
?>
<div id="content" class="clearfix">
	<div id="blog_wrapper" class="sizers clearfix">
		<div id="left_area">
		
			<div id="blog_page" class="responsive">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
					<article id="post-<?php the_ID(); ?>" <?php post_class($whakaaro_classes); ?>>
						<header class="entry-header">
							<div class="meta_data">
								<span class="post-meta"><?php the_time( get_option( 'date_format' ) ); ?></span></span>
							</div>
						</header><!-- .entry-header -->
	
						<div class="featured_box">
							<?php
								if ( has_post_thumbnail() ) { the_post_thumbnail('whakaaro-blog-thumb'); }
							?>
						</div> 	<!-- end .featured_box -->
						
						<?php if ( is_single() ) : ?>
						<h1 class="entry-title"><?php the_title(); ?></h1>
						<?php else : ?>
						<h2 class="main_title">
							<a href="<?php esc_url( the_permalink() ); ?>" rel="bookmark"><?php the_title(); ?></a>
						</h2>
						<?php endif; // is_single() ?>
						
						<p class="meta"><span><?php esc_html_e('by', 'whakaaro'); ?> <?php the_author_posts_link(); ?></span><?php echo esc_html__('/', 'whakaaro') ?><span><?php comments_popup_link(esc_html__('0 comments','whakaaro'), esc_html__('1 comment','whakaaro'), '% '.esc_html__('comments','whakaaro')); ?></span><?php echo esc_html__('/', 'whakaaro') ?><span><?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?></span></p>
						
						<div class="post-content clearfix">
							
							<div class="entry_content">
								<p><?php whakaaro_blog_excerpt(); ?></p>
								<span><?php the_tags('',''); ?></span>
							</div> <!-- end .entry_content -->
							
						</div> <!-- end of .post-content -->
						<a href="<?php esc_url( the_permalink() ); ?>" class="readmore fr_simple_btn"><?php esc_html_e('Read More', 'whakaaro'); ?></a>
					</article><!-- #post -->
					
					
					<?php endwhile; ?>
					
					<?php else : ?>
					
					<div class="fr_no_result"><?php echo esc_html_e('Sorry, no posts matched your criteria.', 'whakaaro');?><br />
						<?php get_search_form(); ?>
					</div>
		   
					<?php endif; wp_reset_postdata(); ?>
						
					<?php wp_link_pages(); ?>
					
					<?php comments_template(); ?> 
					
					<div class="page-nav clearfix">
						<?php get_template_part('includes/navigation'); ?>
					</div> <!-- end .entry -->
				
			</div> <!-- end #blog_page -->
			
		</div> <!-- end #left_area -->
		
		<?php get_sidebar(); ?>
		
	</div> <!-- end #blog_wrapper -->
</div> <!-- end #content -->
<?php get_footer(); ?>