<?php 
/*
Template Name: Blog Page
*/
?>


<?php 
$whakaaro_page_setup = array();
$whakaaro_page_setup = maybe_unserialize( get_post_meta($post->ID,'whakaaro_page_setup',true) );

$whakaaro_fullwidth_page = isset( $whakaaro_page_setup['whakaaro_fullwidth_page'] ) ? (bool) $whakaaro_page_setup['whakaaro_fullwidth_page'] : false;

$whakaaro_page_setup = isset( $whakaaro_page_setup['whakaaro_blog_categories'] ) ? (array) $whakaaro_page_setup['whakaaro_blog_categories'] : array();

$whakaaro_blog_posts_num = isset( $whakaaro_page_setup['whakaaro_blog_posts_num'] ) ? (int) $whakaaro_page_setup['whakaaro_blog_posts_num'] : 5;
?>

<?php get_header(); ?>

<div id="content" class="clearfix blog_page_wrap <?php if ( $whakaaro_fullwidth_page ) echo ' fullwidth'; ?>">

	<?php if ( has_post_thumbnail() ) { ?>
	<div class="page_header parallax">
		<?php
			$size = 'full';
			 the_post_thumbnail($size); 
		?>
		<div class="title_holder">
			<h1 class="page_title"><?php wp_title("",true); ?></h1>
			<?php get_template_part('includes/breadcrumbs', 'page'); ?>
		</div>
	</div> 	<!-- end .page_header -->
	<?php } ?>

	<div id="blog_wrapper" class="sizers clearfix">
	<div id="left_area">
		
		<div id="blog_page" class="responsive">
			<?php $cat_query = ''; 
			if ( !empty($whakaaro_page_setup) ) $cat_query = '&cat=' . implode(",", $whakaaro_page_setup);
			else echo '<!-- blog category is not selected -->'; ?>
			<?php 
				$page_paged = is_front_page() ? get_query_var( 'page' ) : get_query_var( 'paged' );
			?>
			<?php query_posts("showposts=$whakaaro_blog_posts_num&paged=" . $page_paged . $cat_query); ?>
			
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<?php get_template_part( 'content', get_post_format() ); ?>
			<?php endwhile; ?>
			
				
		</div> <!-- end #blog_page -->
		<div class="page-nav clearfix">
			<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
			else { ?>
				 <?php get_template_part('includes/navigation'); ?>
			<?php } ?>
		</div> <!-- end .entry -->
			<?php else : ?>
				<?php get_template_part('includes/no-results'); ?>
			<?php endif; wp_reset_postdata(); ?>
	</div> <!-- end #left_area -->
	
	<?php if ( !$whakaaro_fullwidth_page ) get_sidebar(); ?>
	</div> <!-- end #blog_wrapper -->
	
<?php get_footer(); ?>