<?php 
/*
Template Name: Portfolio:Carousel
*/
?>

<?php 
$whakaaro_page_setup = array();
$whakaaro_page_setup = maybe_unserialize( get_post_meta($post->ID,'whakaaro_page_setup',true) );

$whakaaro_fullwidth_page = isset( $whakaaro_page_setup['whakaaro_fullwidth_page'] ) ? (bool) $whakaaro_page_setup['whakaaro_fullwidth_page'] : false;

$whakaaro_blog_cats = isset( $whakaaro_page_setup['whakaaro_blog_categories'] ) ? (array) $whakaaro_page_setup['whakaaro_blog_categories'] : array();

$whakaaro_blog_posts_num = isset( $whakaaro_page_setup['whakaaro_blog_posts_num'] ) ? (int) $whakaaro_page_setup['whakaaro_blog_posts_num'] : 5;
?>

<?php get_header(); 
$whakaaro_classes = array(esc_html__('group', 'whakaaro'), esc_html__('carousel-cell', 'whakaaro'));
?>

<div id="content" class="clearfix portfolio_carousel fullwidth">

	<div id="blog_wrapper" class="sizers clearfix">
	<div id="left_area">
		
		<div id="blog_page" class="responsive">
			<?php $whakaaro_query = ''; 
			if ( !empty($whakaaro_blog_cats) ) $whakaaro_query = '&cat=' . implode(",", $whakaaro_blog_cats);
			else echo '<!-- blog category is not selected -->'; ?>
			<?php 
				$whakaaro_page_paged = is_front_page() ? get_query_var( 'page' ) : get_query_var( 'paged' );
			?>
			<?php $whakaaro_query = new WP_Query(array(
				 'post_type' => array( 'portfolio' ),
				 'post_per_page'=>-1,
				 )); ?>
			
			<ul id="carousel" class="transition carousel" data-flickity='{ "autoPlay": false, "freeScroll": true, "wrapAround": true, "freeScrollFriction": 0.03 }' >
						
			<?php if( $whakaaro_query->have_posts() ) while ($whakaaro_query->have_posts()) : $whakaaro_query->the_post();  ?>
			
				<li id="post-<?php the_ID(); ?>" <?php post_class($whakaaro_classes); ?>>
				<?php if ( has_post_thumbnail() ) { 
						$whakaaro_fullsize = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'whakaaro-portfolio-thumb');
					?>
					
					<div class="atvImg">
						<div class="atvImg-layer" data-img="<?php echo esc_url( $whakaaro_fullsize[0] ); ?>"></div>
						<div class="inner">
							<p class="meta">
								<?php 
								$fr_cat = get_the_category();
								foreach($fr_cat as $fr_categs){
									 if($fr_categs == end($fr_cat)) {
										echo wp_kses('<span>'. $fr_categs->cat_name . '</span>', array('span' => array(),));
									}else{
										echo wp_kses('<span>'. $fr_categs->cat_name . '</span>', array('span' => array(),));
									}
								} ?>
							</p>
							<h3 class="main_title "><a href="<?php esc_url( the_permalink() ); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
							<a href="<?php esc_url( the_permalink() ); ?>" class="readmore fr_simple_btn ajax-post" id="<?php the_ID(); ?>"><span class="fr_link"><?php esc_html_e('View project', 'whakaaro'); ?></span><span class="fr_plus">+</span></a>
						</div>	
					</div> 	<!-- end .atvImg -->
					
					<?php } ?>
				</li>	
			<?php endwhile; wp_reset_postdata(); ?>
			</ul>			
		</div>
			
			<!-- Related demos -->
			<section class="content content--related">
			</section>
				
		</div> <!-- end #blog_page -->
			
	</div> <!-- end #left_area -->
	</div> <!-- end #blog_wrapper -->
	
<div class="fr_ajax">
	<div id="fr_ajax_response"></div>
	<div id="x"></div>
</div>	
<?php get_footer(); ?>