<?php
/*The template for displaying posts in the Gallery post format.*/
$whakaaro_classes = array('entry', 'post', 'clearfix');
global $more;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($whakaaro_classes); ?>>
	<div class="post-content entry clearfix">
		
		
		<?php if( function_exists('whakaaro_my_gallery_shortcode') ){ ?>
			<div class="featured_box">
				<div class="post_gallery_slider flexslider">
					<ul class="slides">
					<?php  $gallery = get_post_gallery_images( $post );
							foreach( $gallery as $image ) {
								echo wp_kses('<li class="slide"><img src="'. esc_url( $image ) .'" alt="alt_img" /></li>', array('li' => array('class' => array(),), 'img' => array('src' => array(),'alt' => array(),),));	
							 }
					?> 
					</ul>
					<a class="left-arrow" href="<?php echo esc_url( '#' ); ?>"><i class="fas fa-angle-left"></i></a>
					<a class="right-arrow" href="<?php echo esc_url( '#' ); ?>"><i class="fas fa-angle-right"></i></a>
					<ul class="slider_controls"></ul>
				</div>
			</div><!-- end of .featured_box -->	
			<header class="entry-header">	
				<?php if(is_sticky()){ ?>
					<span class="fr_post_sticky_wrap letter-spacing"><span class="fr_post_sticky"><?php echo esc_html_e('Featured', 'whakaaro');?></span></span>
				<?php } ?>
				<div class="meta_cat"><?php the_category(', ') ?></div>
				<?php if ( is_single() ) : ?>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<?php else : ?>
				<h2 class="main_title">
					<a href="<?php esc_url( the_permalink() );?>" rel="bookmark"><?php the_title(); ?></a>
				</h2>
				<?php endif; // is_single() ?>
			</header><!-- .entry-header -->
				<div class="entry_content">
					<p><?php echo whakaaro_blog_excerpt(57); ?></p>
				</div> <!-- end .entry_content -->
			<?php } else { ?>
			<div class="entry_content gallery-content">
				<?php the_content(); ?>
			</div> <!-- end .entry_content -->
			<header class="entry-header gallery-header">	
				<?php if(is_sticky()){ ?>
					<span class="fr_post_sticky_wrap letter-spacing"><span class="fr_post_sticky"><?php echo esc_html_e('Featured', 'whakaaro');?></span></span>
				<?php } ?>
				<div class="meta_cat"><?php the_category(', ') ?></div>
				<?php if ( is_single() ) : ?>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<?php else : ?>
				<h2 class="main_title">
					<a href="<?php esc_url( the_permalink() );?>" rel="bookmark"><?php the_title(); ?></a>
				</h2>
				<?php endif; // is_single() ?>
			</header><!-- .entry-header -->
			<?php } ?>
		
		
		<div class="meta_line row">
			<div class="meta fr_left"><span><?php the_time( get_option( 'date_format' ) ); ?></span><?php esc_html__('/','whakaaro'); ?> <?php esc_html_e('by', 'whakaaro'); ?> <?php the_author_posts_link(); ?> <?php esc_html__('/','whakaaro'); ?> <?php comments_popup_link(esc_html__('0 comments','whakaaro'), esc_html__('1 comment','whakaaro'), '% '.esc_html__('comments','whakaaro')); ?></div>
			<div class="fr_right">
				<a href="<?php esc_url( the_permalink() ); ?>" class="readmore fr_simple_btn"><?php esc_html_e('Continue reading', 'whakaaro'); ?></a>
			</div>
		</div>
		
	</div> <!-- end of .post-content -->
</article>