<?php
/*The template for displaying posts in the Image post format.*/
?>
	<div class="post-content entry clearfix">
		<?php if ( has_post_thumbnail() ) { ?>
		<div class="featured_box">
			<?php the_post_thumbnail('whakaaro-blog-thumb'); ?>
		</div> 	<!-- end .featured_box -->
		<?php } ?>
		
		<header class="entry-header">	
			<?php if(is_sticky()){ ?>
				<span class="fr_post_sticky_wrap letter-spacing"><span class="fr_post_sticky"><?php echo esc_html_e('Featured', 'whakaaro');?></span></span>
			<?php } ?>
			<div class="meta_cat"><?php the_category(', ') ?></div>
			<?php if ( is_single() ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
			<?php else : ?>
			<h2 class="main_title">
				<a href="<?php esc_url( the_permalink() );?>" rel="bookmark"><?php the_title(); ?></a>
			</h2>
			<?php endif; // is_single() ?>
		</header><!-- .entry-header -->
		
		<div class="entry_content">
			<p><?php echo whakaaro_blog_excerpt(70); ?></p>
		</div> <!-- end .entry_content -->
		
		<div class="meta_line row">
			<div class="meta fr_left"><span><?php the_time( get_option( 'date_format' ) ); ?></span><?php esc_html__('/','whakaaro'); ?> <?php esc_html_e('by', 'whakaaro'); ?> <?php the_author_posts_link(); ?> <?php esc_html__('/','whakaaro'); ?> <?php comments_popup_link(esc_html__('0 comments','whakaaro'), esc_html__('1 comment','whakaaro'), '% '.esc_html__('comments','whakaaro')); ?></div>
			<div class="fr_right">
				<a href="<?php esc_url( the_permalink() ); ?>" class="readmore fr_simple_btn"><?php esc_html_e('Continue reading', 'whakaaro'); ?></a>
			</div>
		</div>
	</div>

