<!--MENU-->
<div id="header-outer">
	<div class="fr_left">
		<a href="<?php echo esc_url( home_url() ); ?>">
			<?php $small_logo = (get_option('FR_SITE_LOGO_SMALL') <> '') ? esc_attr(get_option('FR_SITE_LOGO_SMALL')) : get_template_directory_uri() . '/images/logo.png'; ?>
			<img src="<?php echo esc_attr($small_logo); ?>" alt="logo" id="logo" />
		</a> <!-- Small logo in menu -->
	</div>
	<div class="fr_right">
		<div class="social-icons">	
			<?php
				// Get Social Icons
				whakaaro_social_links();
			?>
		</div> <!-- end #social-icons -->
		<div id="menu-switch">
			<svg id="menu_icon" viewBox="0 0 800 600">
				<path d="M300,220 C300,220 520,220 540,220 C740,220 640,540 520,420 C440,340 300,200 300,200" class="top_bar" />
				<path d="M300,320 L540,320" class="middle_bar" />
				<path d="M300,210 C300,210 520,210 540,210 C740,210 640,530 520,410 C440,330 300,190 300,190" class="bottom_bar" transform="translate(480, 320) scale(1, -1) translate(-480, -318)" />
			</svg>
		</div>
	</div>
</div>
<div id="menu" class="clearfix fr_left_menu <?php echo get_option('FR_LEFT_MENU_COLOR')?>">
	<a href="<?php echo esc_url( home_url() ); ?>">
			<?php $mobile_logo = (get_option('FR_SITE_LOGO_MOBILE') <> '') ? esc_attr(get_option('FR_SITE_LOGO_MOBILE')) : get_template_directory_uri() . '/images/logo.png'; ?>
			<img src="<?php echo esc_attr($mobile_logo); ?>" alt="logo" id="mobile_logo" />
		</a> <!-- Small logo in menu -->
	<a href="#" id="mobile_nav" class="closed"><i class="fas fa-bars"></i></a>
		
		<div class="fr_menu_inner"> 
			<nav id="main-menu">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav', 'fallback_cb' => false ) ); ?>
			</nav>
		</div> <!-- end .fr_menu_inner -->		
</div> <!-- end #menu -->
<!--MENU-->