<?php
global $whakaaro_mainTabs, $whakaaro_themename, $whakaaro_shortname, $whakaaro_options, $whakaaro_add_google_fonts, $whakaaro_menus_style;

$whakaaro_mainTabs = array('general', 'head', 'contact', 'social-network', 'footer');

$whakaaro_add_google_fonts = apply_filters( 'whakaaro_add_google_fonts', array('Colaborate Thin', 'Kreon','Droid Sans','Droid Serif','Lobster','Yanone Kaffeesatz','Nobile','Crimson Text','Arvo','Tangerine','Cuprum','Cantarell','Philosopher','Josefin Sans','Dancing Script','Raleway','Bentham','Goudy Bookletter 1911','Quattrocento','Ubuntu','PT Sans','Arimo','Bevan','Bigshot One','Yeseva One' ,'Abel', 'Open Sans', 'Dosis', 'Dorsa', 'Bree Serif', 'Pacifico', 'PT Sans Narrow','Lato' ,'Molengo', 'Trocchi', 'Lusitana', 'Brawler', 'Patua One' ,'Alegreya SC' ,'Alike', 'Gentium Basic','Rokkitt' ,'Ovo', 'Georgia', 'Museo Slab', 'Brandon', 'Muli', 'Sintony', 'Roboto', 'Montserrat', 'Palatino Linotype', 'Crete Round', 'Lora', 'Playfair Display', 'Source Sans Pro', 'PT Serif
', 'Rubik') );
sort($whakaaro_add_google_fonts);

$whakaaro_menus_style = array(esc_html__('Classic Top Menu',"whakaaro"), esc_html__('Side Menu',"whakaaro"));

$whakaaro_options = array (

	array( "name" => "wrap-general",
		   "type" => "contenttab-wrapstart",),

		array( "type" => "subnavtab-start",),

			array( "name" => "general-1", "type" => "subnav-tab", "desc" => esc_html__("General Options","whakaaro")),

		array( "type" => "subnavtab-end",),

		array( "name" => "general-1",
			   "type" => "subcontent-start",),
			   			
			array( "name" => esc_html__("Logo","whakaaro"),
				   "id" => "FR_SITE_LOGO_SMALL",
				   "type" => "upload",
				   "std" => "",
				   "desc" => esc_html__("Upload here your logo image. Size is not more 70x27","whakaaro")
			),
			
			array( "name" => esc_html__("Mobile Logo","whakaaro"),
				   "id" => "FR_SITE_LOGO_MOBILE",
				   "type" => "upload",
				   "std" => "",
				   "desc" => esc_html__("Upload here your logo image, which will be displayed on mobile devices.","whakaaro")
			),

			array( "name" => esc_html__("Favicon","whakaaro"),
				   "id" => "FR_FAVICON",
				   "type" => "upload",
				   "std" => "",
				   "desc" => esc_html__("Upload the image size of 16x16 that will be used as favicon.","whakaaro")
			),
			
			array( "name" => esc_html__("Color Scheme","whakaaro"),
				   "id" => $whakaaro_shortname."_COLOR_SCHEME",
				   "type" => "textcolorpopup",
				   "std" => "#8f75be",
				   "desc" => esc_html__("Here you can set the main color of your website using the palette","whakaaro")
			 ),
										   
			array( "name" => esc_html__("Header Font","whakaaro"),
				   "id" => $whakaaro_shortname."_HEADER_FONT",
				   "type" => "select",
				   "std" => "Arvo",
				   "options" => $whakaaro_add_google_fonts,
				   "desc" => ""
			),
				   
			array( "name" => esc_html__("Body Font","whakaaro"),
				   "id" => $whakaaro_shortname."_BODY_FONT",
				   "type" => "select",
				   "std" => "Open Sans",
				   "options" => $whakaaro_add_google_fonts,
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Decorative Font","whakaaro"),
				   "id" => $whakaaro_shortname."_DECORATIVE_FONT",
				   "type" => "select",
				   "std" => "Montserrat",
				   "options" => $whakaaro_add_google_fonts,
				   "desc" => esc_html__("For some elements","whakaaro")
			),
			
			array( "name" => esc_html__("Background for Portfolio Carousel Page","whakaaro"),
				   "id" => $whakaaro_shortname."_PORTFOLIO_CAROUSEL",
				   "type" => "upload",
				   "std" => "",
				   "desc" => esc_html__("Upload the image that will be used on Portfolio Carousel Page.","whakaaro")
			),
			
			array( "name" => esc_html__("Background Color for Portfolio Morphing Page","whakaaro"),
				   "id" => $whakaaro_shortname."_PORTFOLIO_MORPHING",
				   "type" => "textcolorpopup",
				   "std" => "",
				   "desc" => esc_html__("Here you can set the Background Color for Portfolio Morphing Page using the palette.","whakaaro")
			),

			array( "type" => "clearfix",),

		array( "name" => "general-1",
			   "type" => "subcontent-end",),


	array(  "name" => "wrap-general",
			"type" => "contenttab-wrapend",),

//-------------------------------------------------------------------------------------//

array( "name" => "wrap-head",
		   "type" => "contenttab-wrapstart",),
		   
	array( "type" => "subnavtab-start",),

			array( "name" => "head",
				   "type" => "subnav-tab",
				   "desc" => esc_html__("Header","whakaaro")
			),
			
		array( "name" => esc_html__("Choose menus style","whakaaro"),
		   "id" => "whakaaro_menus_style",
		    "std" => "Side Menu",
		   "type" => "select",
		   "options" => $whakaaro_menus_style,
			"desc" => esc_html__("The default style is the 'Classic Top Menu' setting for it below","whakaaro")
		),
		
		array( "name" => esc_html__("Side Menu Background","whakaaro"),
			   "id" => "FR_MENU_BG_IMAGE",
			   "type" => "upload",
			   "std" => "",
			   "desc" => esc_html__("If you choose Left Menu, you can set the background image","whakaaro")
		),
		
		array( "name" => esc_html__("Choose Side Menu Color","whakaaro"),
		   "id" => $whakaaro_shortname."_LEFT_MENU_COLOR",
		   "std" => "",
		   "type" => "textcolorpopup",
			"desc" => esc_html__("Color Scheme for Side Menu","whakaaro")
		),
		
		array( "name" => esc_html__("Choose Side Menu Links Color","whakaaro"),
		   "id" => $whakaaro_shortname."_LEFT_MENU_COLOR_LINKS",
		   "std" => "",
			"type" => "textcolorpopup",
			"desc" => esc_html__("Font Color for Side Menu","whakaaro")
		),

		array( "type" => "subnavtab-end",),
		
		array( "name" => "head",
			   "type" => "subcontent-start",),
			   
		array( "name" => "head",
			   "type" => "subcontent-end",),
	
	array( "name" => "wrap-head",
		   "type" => "contenttab-wrapend",),
		   

//-------------------------------------------------------------------------------------//

array( "name" => "wrap-social-network",
		   "type" => "contenttab-wrapstart",),
		   
	array( "type" => "subnavtab-start",),

			array( "name" => "social-network",
				   "type" => "subnav-tab",
				   "desc" => esc_html__("Social Network","whakaaro")
			),

		array( "type" => "subnavtab-end",),
		
		array( "name" => "social-network",
			   "type" => "subcontent-start",),
			   
			   array( "type" => "hint",
					"desc" => esc_html__("In these settings, you can turn on and off display of icons of social networks","whakaaro")
				),
			   
			   array( "name" => esc_html__("Twitter Icon","whakaaro"),
                   "id" => "FR_SHOW_TWITTER_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Facebook Icon","whakaaro"),
                   "id" => "FR_SHOW_FACEBOOK_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
						
			array( "name" => esc_html__("Google Icon","whakaaro"),
                   "id" => "FR_SHOW_GOOGLE_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			
			array( "name" => esc_html__("Pinterest Icon","whakaaro"),
                   "id" => "FR_SHOW_PINTEREST_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Dribble Icon","whakaaro"),
                   "id" => "FR_SHOW_DRIBBLE_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Instagram Icon","whakaaro"),
                   "id" => "FR_SHOW_INSTAGRAM_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Linkedin Icon","whakaaro"),
                   "id" => "FR_SHOW_LINKEDIN_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("XING Icon","whakaaro"),
                   "id" => "FR_SHOW_XING_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Skype Icon","whakaaro"),
                   "id" => "FR_SHOW_SKYPE_ICON",
                   "type" => "checkbox",
                   "std" => "on",
				   "desc" => ""
			),
			
			array( "type" => "clearfix",),
			
			 array( "type" => "hint",
				"desc" => esc_html__("Enter your address to your network profiles","whakaaro")
			),
			
			array( "name" => esc_html__("Twitter Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_twitter_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
				   
			array( "name" => esc_html__("Pinterest Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_pinterest_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Facebook Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_facebook_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Google Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_google_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Dribble Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_dribble_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Instagram Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_instagram_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Linkedin Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_linkedin_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("XING Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_xing_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			
			array( "name" => esc_html__("Skype Profile Url","whakaaro"),
                   "id" => $whakaaro_shortname."_skype_url",
                   "std" => "#",
                   "type" => "text",
				   "desc" => ""
			),
			   
		array( "name" => "social-network",
			   "type" => "subcontent-end",),
			   
			   

	array( "name" => "wrap-social-network",
		   "type" => "contenttab-wrapend",),

//-------------------------------------------------------------------------------------//

array( "name" => "wrap-footer",
		   "type" => "contenttab-wrapstart",),
		   
	array( "type" => "subnavtab-start",),
		
		array( "type" => "hint",
			"desc" => esc_html__("Footer Settings","whakaaro")
		),
		
		array( "name" => esc_html__("Background Color of Footer","whakaaro"),
			   "id" => "FR_FOOTER_BG_COLOR",
			   "type" => "textcolorpopup",
			   "std" => "",
			   "desc" => esc_html__("Here you can set the background color using the palette","whakaaro")
		 ),
		 
		 array( "name" => esc_html__("Footer Font Color","whakaaro"),
			   "id" => "FR_FOOTER_FONT_COLOR",
			   "type" => "textcolorpopup",
			   "std" => "",
			   "desc" => esc_html__("Here you can set the font color using the palette","whakaaro")
		 ),
		 
		 array( "name" => esc_html__("Text of Footer","whakaaro"),
		   "id" => "FR_FOOTER_TEXT",
		   "std" => esc_html__("Designed by Fragrance Design  2018","whakaaro"),
		   "type" => "text",
		   "desc" => esc_html__("","whakaaro")
		),

		array( "type" => "subnavtab-end",),
		
		array( "name" => "footer",
			   "type" => "subcontent-start",),
			   
		array( "name" => "footer",
			   "type" => "subcontent-end",),
	
	array( "name" => "wrap-footer",
		   "type" => "contenttab-wrapend",),

//-------------------------------------------------------------------------------------//

); 