<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width" />
	<link href="<?php echo esc_attr(get_option('FR_FAVICON')) ?>" rel="shortcut icon" type="image/x-icon"> 
		
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<div id="container" <?php if ( get_option('FR_MENUS_STYLE') == esc_html__('Left Menu', 'whakaaro') ) echo esc_attr('class="fr_left_menu_page"') ?>>
		<div id="wrapper">
		
		<!--MENU-->
		<?php			
			$whakaaro_menus_style = get_option('whakaaro_menus_style');
			$fr_menus_class = '';
			if ( $whakaaro_menus_style == esc_html__('Classic Top Menu', 'whakaaro') ){
				get_template_part( 'fr_menus/fr_classic_menu' );
			}else if( $whakaaro_menus_style == esc_html__('Opening Menu', 'whakaaro') ){
				get_template_part( 'fr_menus/fr_opening_menu' );
			}else{
				get_template_part( 'fr_menus/fr_left_menu' );
			}
		?>		