<?php get_header(); ?>
<div id="content" class="clearfix custom_page">

	<?php if ( !is_front_page() ) { ?>
	<div class="page_header">
		<div class="sizers clearfix">
			<div class="fr_left">
				<h1 class="page_title"><?php echo wp_get_document_title(); ?></h1>
			</div>
			<div class="fr_right">
				<?php get_template_part('includes/breadcrumbs', 'page'); ?>
			</div>
		</div> <!-- end .sizers -->
	</div> <!-- end .page_header -->
	<?php } ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="post-content clearfix sizers">
					<?php
						$whakaaro_categories = get_the_category();
						$whakaaro_separator = ' ';
						$whakaaro_output = '';
						if($whakaaro_categories){
							foreach($whakaaro_categories as $whakaaro_category) {
								$whakaaro_output .= '<a href="'.get_whakaaro_category_link( $whakaaro_category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", "whakaaro" ), $whakaaro_category->name, "whakaaro" ) ) . '">'.$whakaaro_category->cat_name.'</a>'.$whakaaro_separator;
							}
						echo trim($whakaaro_output, $whakaaro_separator);
						}
					?>
					<?php the_content(); ?>
					
					<p><?php edit_post_link(
						sprintf(
							/* translators: %s: Name of current post */
							wp_kses( 'Edit<span class="screen-reader-text"> "%s"</span>',array('p' => array(),'span' => array(),)),
							get_the_title()
						),
						'<span class="edit-link">',
						'</span>'
					); ?></p>
				</div>
				
				<div class="page-nav fr-paged sizers clearfix">
					<?php wp_link_pages(); ?>
				</div> <!-- end .entry -->
				
				
			</article><!-- end of article -->
			
		<?php endwhile; ?>
		<?php endif; wp_reset_postdata(); ?>
		
		
				
		<?php comments_template(); ?>
		
<?php get_footer(); ?>