<?php 
/*
Template Name: Portfolio:Morphing
*/
?>

<?php 
$whakaaro_page_setup = array();
$whakaaro_page_setup = maybe_unserialize( get_post_meta($post->ID,'whakaaro_page_setup',true) );

$whakaaro_fullwidth_page = isset( $whakaaro_page_setup['whakaaro_fullwidth_page'] ) ? (bool) $whakaaro_page_setup['whakaaro_fullwidth_page'] : false;

$whakaaro_blog_cats = isset( $whakaaro_page_setup['whakaaro_images_categories'] ) ? (array) $whakaaro_page_setup['whakaaro_images_categories'] : array();

$whakaaro_images_posts_num = isset( $whakaaro_page_setup['whakaaro_images_posts_num'] ) ? (int) $whakaaro_page_setup['whakaaro_images_posts_num'] : 5;
?>

<?php get_header(); 
$whakaaro_classes = array(esc_html__('content', 'whakaaro'), esc_html__('content--layout', 'whakaaro'));
?>
<div class="morph-wrap">
	<svg class="morph" width="1400" height="770" viewBox="0 0 1400 770">
		<path d="M 262.9,252.2 C 210.1,338.2 212.6,487.6 288.8,553.9 372.2,626.5 511.2,517.8 620.3,536.3 750.6,558.4 860.3,723 987.3,686.5 1089,657.3 1168,534.7 1173,429.2 1178,313.7 1096,189.1 995.1,130.7 852.1,47.07 658.8,78.95 498.1,119.2 410.7,141.1 322.6,154.8 262.9,252.2 Z"/>
	</svg>
</div>
<div id="content" class="clearfix blog_page_wrap demo-2 portfolio-morphing fullwidth">

	<div id="blog_wrapper" class="sizers clearfix">
	<div id="left_area">
		
		<div id="blog_page" class="responsive">
			<?php $whakaaro_query = ''; 
			if ( !empty($whakaaro_blog_cats) ) $whakaaro_query = '&cat=' . implode(",", $whakaaro_blog_cats);
			else echo '<!-- blog category is not selected -->'; ?>
			<?php 
				$whakaaro_page_paged = is_front_page() ? get_query_var( 'page' ) : get_query_var( 'paged' );
			?>
			<?php query_posts("showposts=$whakaaro_images_posts_num&paged=" . $whakaaro_page_paged . $whakaaro_query); ?>
			
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
			<div class="content-wrap">
				<div id="post-<?php the_ID(); ?>" <?php post_class($whakaaro_classes); ?>>
					<?php if ( has_post_thumbnail() ) { ?>
					<div class="content__img">
						<?php
							$whakaaro_size = 'whakaaro-portfolio-thumb';
							the_post_thumbnail($whakaaro_size); 
						?>
					</div> 	<!-- end .featured_box -->
					<?php } ?>
					<h3 class="main_title content__title"><a href="<?php esc_url(the_permalink()); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
					<p class="content__author"> <?php esc_url(the_author_posts_link()); ?></p>
					<p class="content__desc"><?php echo whakaaro_blog_excerpt(10); ?></p>
					<a href="<?php esc_url(the_permalink()); ?>" class="content__link readmore fr_simple_btn"><?php esc_html_e('View Project', 'whakaaro'); ?></a>
				</div>
			</div>
			
			<?php endwhile; ?>
			<!-- Related demos -->
			<section class="content content--related">
			</section>
				
		</div> <!-- end #blog_page -->
		<div class="page-nav clearfix">
				 <?php whakaaro_pagination(); ?>
		</div> <!-- end .entry -->
			<?php else : ?>
				<?php get_template_part('includes/no-results'); ?>
			<?php endif; wp_reset_postdata(); ?>
	</div> <!-- end #left_area -->
	</div> <!-- end #blog_wrapper -->
	
</div> <!-- end #content -->
	
<?php get_footer(); ?>