<?php get_header(); ?>

<div id="content" class="clearfix fullwidth">
	<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div class="fr_single fr_single_standart">
			 
			 <header class="entry-header">
			 <?php if ( has_post_thumbnail()){ ?>
				<div class="bg-img">
					
						<div class="featured_box">
							<?php if(is_sticky()){ ?>
							<div class="fr_triangl_holder">
								<div class="fr_triangl">
									<i class="fa fa-star-o fr_triangl" aria-hidden="true"></i>
								</div>
							</div>
							<?php } ?>
							<?php the_post_thumbnail('full'); ?>
						</div>
					</div>
				<?php } ?>
				
			
				<div class="header-inner">
					<div class="fr_categorys"><?php the_category(', ') ?></div>
					<?php if ( is_single() ) : ?>
					<h1 class="main_title"><?php the_title(); ?></h1>
					<?php else : ?>
					<h2 class="main_title">
						<a href="<?php esc_url( the_permalink()); ?>" rel="bookmark"><?php the_title(); ?></a>
					</h2>
					<?php endif; // is_single() ?>
					
					<p class="meta"> <span><?php the_time( get_option( 'date_format' ) ); ?></span> <?php esc_html_e('by', 'whakaaro'); ?> <?php the_author_posts_link(); ?> <?php comments_popup_link(esc_html__('0 comments','whakaaro'), esc_html__('1 comment','whakaaro'), '% '.esc_html__('comments','whakaaro')); ?></p>
				</div>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<div id="left_area">
			<?php the_content(); ?>
			
			<span class="fr-tags"><?php the_tags('',''); ?></span>
			
			<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
			
			</div>
			<?php get_sidebar(); ?>
		</div>	
		<p><?php edit_post_link(
			sprintf(
				/* translators: %s: Name of current post */
				wp_kses( 'Edit<span class="screen-reader-text"> "%s"</span>',array('p' => array(),'span' => array(),)),
				get_the_title()
			),
			'<span class="edit-link">',
			'</span>'
		); ?></p>	
			<?php endwhile; ?>
			<?php endif; wp_reset_postdata(); ?>
			
			<?php comments_template(); ?> 
		</div> <!-- end .fr_single -->
		
	</article><!-- end of article -->
</div> <!-- end #content -->
	
<?php get_footer(); ?>